// +build prod

package version

import (
	"fmt"

	version "github.com/hashicorp/go-version"
)

//Version ...
var Version = "1.0.0"

//Prerelease such as "dev" (in development), "beta", "rc1", etc.
var Prerelease = "prod"

//SemVer management
var SemVer *version.Version

func init() {
	SemVer = version.Must(version.NewSemver(fmt.Sprintf("%s-%s", Version, Prerelease)))
}

// Header is the header name used to send the current in http requests.
const Header = "Weather-Version"

// String returns the complete version string, including prerelease
func String() string {
	return SemVer.String()
}
