variable "kubernetes_namespace" {
  description = "kubernetes namespace containing deployed resource"
  type = object({
    id: string
  })
}
variable "kubernetes_config_map" {
  description = "kubernetes config map use to configure deployed application"
  type = object({
    name: string
  })
}

variable "environment" {
  description = "application environment"
}
variable "application_name" {
  description = "prefix name of application to deploy"
}
variable "application_image" {
  description = "docker registry image/version to deploy"
}
variable "application_args" {
  description = "args list to specify at application container"
  type = list(string)
  default = []
}
variable "application_dns" {
  description = "application dns name used by ingress rules"
  type = string
  default = ""
}
variable "expose_application" {
  default = false
  type = bool
}
locals {
  config_volume_name = format("config-%s-volume", var.application_name)
  log_volume_name = format("log-%s-volume", var.application_name)
  service_match_label = format("%s-service", var.application_name)
  deployment_match_label = format("%s-deployment", var.application_name)
}